お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2008-04-19 20:01:13

ktrucker55
新しいメンバ
登録日: 2008-04-11

MFC-8820JNのドライバがインストールできません。

ブラザーのホームページからDebian系のドライバをダウンロードして、GDebi Package インストーラで開くと「Could not open 'mfc8820jlpr-1.1.2-1.i386.deb」 このパッケージは壊れているか開くことができません。このファイルのパーミッションを確認してください。とアラートが出ます。
また、ブラザーのサイトを見て、端末よりコマンドを下記のように入力しても、
sudo dpkg -i --force-overwrite /mfc8820jlpr-1.1.2-1.i386.deb

コード:

(データベースを読み込んでいます ... 現在 93565 個のファイルとディレクトリがインストールされています。)
mfc8820jlpr 1.1.2-1 を (.../mfc8820jlpr-1.1.2-1.i386.deb で) 置換するための準備をしています ...
mfc8820jlpr を展開し、置換しています...
/var/lib/dpkg/info/mfc8820jlpr.postrm: 3: /etc/init.d/lpd: not found
dpkg: 警告 - 古い post-removal スクリプト がエラーステータス 127 を返しました
dpkg - 代わりに新規パッケージからスクリプトを実行してみます ...
/var/lib/dpkg/tmp.ci/postrm: 3: /etc/init.d/lpd: not found
dpkg: /home/******/デスクトップ/mfc8820jlpr-1.1.2-1.i386.deb の処理中にエラーが発生しました (--install):
 サブプロセス 新 post-removal スクリプト はエラー終了ステータス 127 を返しました
/var/lib/dpkg/tmp.ci/postrm: 3: /etc/init.d/lpd: not found
dpkg: クリーンアップ中にエラーが発生しました:
 サブプロセス post-removal script はエラー終了ステータス 127 を返しました
以下のパッケージの処理中にエラーが発生しました:

と表示されてしまいます。
ブラザーのQ&Aのとおりに
ln -s /etc/init.d/cups /etc/init.d/lpd
ln -s /etc/init.d/cupsys /etc/init.d/lpd
というコマンドを入力してリンクを作っても症状は変わりません。

英語のフォーラムにもいろいろ出ているみたいですが、解決方法が分かりません。
どのようにしたらインストールできるのでしょうか?
よろしくお願いします。

---------環境--------------------
モニタ:GREENHOUSE製 GH-ACF193SDB
グラフィックカード:ASUS製 V9520-X/TD/128M/A
マザーボード:ELITEGROUP製 P4M800-M
CPU:celeron D 2.8GHz
OS: ubuntu 7.10

最後の編集者: ktrucker55 (2008-04-20 12:19:13)

オフライン

 

#2 2008-04-21 20:47:34

RxOrca
メンバ
登録日: 2007-03-02

Re: MFC-8820JNのドライバがインストールできません。

プリンターとして使う場合は Brotherの機種では LPR ドライバーと CUPS Wrapperドライバー必要っぽいです。
参考:
http://forum.ubuntulinux.jp/viewtopic.php?id=1760
http://forum.ubuntulinux.jp/viewtopic.php?id=589

でも CUPS Wrapperドライバーに MFC-8820JNが見つからないので, Brotherに問い合わせたほうがよいカモです。

オフライン

 

#3 2008-06-23 21:22:58

ktrucker55
新しいメンバ
登録日: 2008-04-11

Re: MFC-8820JNのドライバがインストールできません。

再度OSをインストールしなおしました。
また、どうしても印刷したくなりインストールを試みましたが、インストールエラー!
「以前のアップデートが完了していません」でアップデートが不可能になりました。
どうすればいいのでしょうか?

オフライン

 

#4 2008-06-25 20:42:39

ktrucker55
新しいメンバ
登録日: 2008-04-11

Re: MFC-8820JNのドライバがインストールできません。

cshをインストールしてませんでした。
無事インストールできましたが、テスト印刷しても、プリンタのstatusランプが点滅するのですが、印刷されません。
macosxやwindowsのような簡単に印刷できないので残念です。

オフライン

 

#5 2008-06-26 11:15:41

stone
新しいメンバ
登録日: 2008-04-30

Re: MFC-8820JNのドライバがインストールできません。

同じMFC-8820JNを使って印刷できています。
結論から言うと、ドライバはubuntuインストール時に既に含まれている"Brother MFC-9050 Foomatic/hl7x0"を使っています。
私もktrucker55さんのようにBrotherのホームページから取ってきて色々やったのですが、結局ダメ。で、色々見ていたらMFC-8820JNは非スクリプト系のドライバが必要に思えてきた(本当に何の根拠もなくそう思えただけ)ので、9050のものを使ってみたらOKでした。トレイの指定など、オプションも設定できています。
他にも"Foomatic/hl7x0"のものなら大丈夫みたいです。(ex.MFC-8300)

オフライン

 

Board footer

Powered by FluxBB